> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.flashid.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.flashid.app/_mcp/server.

# List profiles

GET http://127.0.0.1:58931/api/profiles

List browser profiles.

`folder_uuid` accepts a custom folder UUID or a built-in id (`all`/`starred`).

Response `data`: `{ total, page, page_size, configs: Profile[] }`. `rotating_proxy` is present only when `proxy_mode` = `rotating`.

Reference: https://docs.flashid.app/api-reference/profiles/list-profiles

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/profiles:
    get:
      operationId: list-profiles
      summary: List profiles
      description: >-
        List browser profiles.


        `folder_uuid` accepts a custom folder UUID or a built-in id
        (`all`/`starred`).


        Response `data`: `{ total, page, page_size, configs: Profile[] }`.
        `rotating_proxy` is present only when `proxy_mode` = `rotating`.
      tags:
        - subpackage_profiles
      parameters:
        - name: page
          in: query
          description: '`number` Default `1`. Page number.'
          required: false
          schema:
            type: integer
        - name: page_size
          in: query
          description: '`number` Default `50`. Items per page.'
          required: false
          schema:
            type: integer
        - name: keyword
          in: query
          description: '`string` `Optional` Search keyword.'
          required: false
          schema:
            type: string
        - name: folder_uuid
          in: query
          description: >-
            `string` `Optional` Custom folder UUID, or built-in id
            (`all`/`starred`).
          required: false
          schema:
            type: string
        - name: sort_by
          in: query
          description: '`enum` `Optional` `profile_name` | `created_at` | `updated_at`.'
          required: false
          schema:
            type: string
        - name: sort_order
          in: query
          description: '`enum` `Optional` `asc` | `desc`.'
          required: false
          schema:
            type: string
        - name: X-API-Key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Profiles_List profiles_Response_200'
servers:
  - url: http://127.0.0.1:58931
    description: http://127.0.0.1:58931
components:
  schemas:
    ApiProfilesGetResponsesContentApplicationJsonSchemaDataConfigsItemsBrowserLock:
      type: object
      properties:
        user_name:
          type: string
        user_uuid:
          type: string
      required:
        - user_name
        - user_uuid
      title: >-
        ApiProfilesGetResponsesContentApplicationJsonSchemaDataConfigsItemsBrowserLock
    ApiProfilesGetResponsesContentApplicationJsonSchemaDataConfigsItemsProxyConfig:
      type: object
      properties:
        ip:
          type: string
        host:
          type: string
        port:
          type: string
        ip_city:
          type: string
        password:
          type: string
        username:
          type: string
        ip_region:
          type: string
        ipchecker:
          type: string
        ip_country:
          type: string
        proxy_type:
          type: string
        proxy_uuid:
          type: string
          format: uuid
        refresh_url:
          type: string
        proxy_ip_updated_time:
          type: string
      required:
        - ip
        - host
        - port
        - ip_city
        - password
        - username
        - ip_region
        - ipchecker
        - ip_country
        - proxy_type
        - proxy_uuid
        - refresh_url
        - proxy_ip_updated_time
      title: >-
        ApiProfilesGetResponsesContentApplicationJsonSchemaDataConfigsItemsProxyConfig
    ApiProfilesGetResponsesContentApplicationJsonSchemaDataConfigsItemsFolderConfig:
      type: object
      properties:
        folder_name:
          type: string
        folder_uuid:
          type: string
      required:
        - folder_name
        - folder_uuid
      title: >-
        ApiProfilesGetResponsesContentApplicationJsonSchemaDataConfigsItemsFolderConfig
    ApiProfilesGetResponsesContentApplicationJsonSchemaDataConfigsItemsBrowserConfig:
      type: object
      properties:
        system_os:
          type: string
        user_agent:
          type: string
        system_version:
          type: string
      required:
        - system_os
        - user_agent
        - system_version
      title: >-
        ApiProfilesGetResponsesContentApplicationJsonSchemaDataConfigsItemsBrowserConfig
    ApiProfilesGetResponsesContentApplicationJsonSchemaDataConfigsItems:
      type: object
      properties:
        note:
          type: string
        created_at:
          type: string
        proxy_mode:
          type: string
        browser_lock:
          $ref: >-
            #/components/schemas/ApiProfilesGetResponsesContentApplicationJsonSchemaDataConfigsItemsBrowserLock
        profile_name:
          type: string
        profile_uuid:
          type: string
        proxy_config:
          $ref: >-
            #/components/schemas/ApiProfilesGetResponsesContentApplicationJsonSchemaDataConfigsItemsProxyConfig
        stars_status:
          type: integer
        folder_config:
          $ref: >-
            #/components/schemas/ApiProfilesGetResponsesContentApplicationJsonSchemaDataConfigsItemsFolderConfig
        browser_config:
          $ref: >-
            #/components/schemas/ApiProfilesGetResponsesContentApplicationJsonSchemaDataConfigsItemsBrowserConfig
      required:
        - note
        - created_at
        - proxy_mode
        - browser_lock
        - profile_name
        - profile_uuid
        - proxy_config
        - stars_status
        - folder_config
        - browser_config
      title: ApiProfilesGetResponsesContentApplicationJsonSchemaDataConfigsItems
    ApiProfilesGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        page:
          type: integer
        total:
          type: integer
        configs:
          type: array
          items:
            $ref: >-
              #/components/schemas/ApiProfilesGetResponsesContentApplicationJsonSchemaDataConfigsItems
        page_size:
          type: integer
      required:
        - page
        - total
        - configs
        - page_size
      title: ApiProfilesGetResponsesContentApplicationJsonSchemaData
    Profiles_List profiles_Response_200:
      type: object
      properties:
        code:
          type: integer
        data:
          $ref: >-
            #/components/schemas/ApiProfilesGetResponsesContentApplicationJsonSchemaData
        success:
          type: boolean
      required:
        - code
        - data
        - success
      title: Profiles_List profiles_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

```

## Examples



**Response**

```json
{
  "code": 0,
  "data": {
    "page": 1,
    "total": 100,
    "configs": [
      {
        "note": "",
        "created_at": "1779763320",
        "proxy_mode": "static",
        "browser_lock": {
          "user_name": "alice",
          "user_uuid": "u-1"
        },
        "profile_name": "My Profile",
        "profile_uuid": "{{profileId}}",
        "proxy_config": {
          "ip": "1.2.3.4",
          "host": "proxy.example.com",
          "port": "1080",
          "ip_city": "New York",
          "password": "pass",
          "username": "user",
          "ip_region": "NY",
          "ipchecker": "ip2location",
          "ip_country": "US",
          "proxy_type": "socks5",
          "proxy_uuid": "019e95bb-cd6a-7a0c-b87a-c3efeec64c3f",
          "refresh_url": "",
          "proxy_ip_updated_time": "1779763320"
        },
        "stars_status": 1,
        "folder_config": {
          "folder_name": "Work",
          "folder_uuid": "f-123"
        },
        "browser_config": {
          "system_os": "Mac OS X",
          "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) ... Chrome/147.0.0.0 Safari/537.36",
          "system_version": "Mac OS X 26"
        }
      }
    ],
    "page_size": 50
  },
  "success": true
}
```

**SDK Code**

```python Profiles_List profiles_example
import requests

url = "http://127.0.0.1:58931/api/profiles"

querystring = {"page":"1","page_size":"50","keyword":"","folder_uuid":"","sort_by":"","sort_order":""}

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Profiles_List profiles_example
const url = 'http://127.0.0.1:58931/api/profiles?page=1&page_size=50&keyword=&folder_uuid=&sort_by=&sort_order=';
const options = {method: 'GET', headers: {'X-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Profiles_List profiles_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "http://127.0.0.1:58931/api/profiles?page=1&page_size=50&keyword=&folder_uuid=&sort_by=&sort_order="

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Profiles_List profiles_example
require 'uri'
require 'net/http'

url = URI("http://127.0.0.1:58931/api/profiles?page=1&page_size=50&keyword=&folder_uuid=&sort_by=&sort_order=")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Profiles_List profiles_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("http://127.0.0.1:58931/api/profiles?page=1&page_size=50&keyword=&folder_uuid=&sort_by=&sort_order=")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php Profiles_List profiles_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'http://127.0.0.1:58931/api/profiles?page=1&page_size=50&keyword=&folder_uuid=&sort_by=&sort_order=', [
  'headers' => [
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Profiles_List profiles_example
using RestSharp;

var client = new RestClient("http://127.0.0.1:58931/api/profiles?page=1&page_size=50&keyword=&folder_uuid=&sort_by=&sort_order=");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Profiles_List profiles_example
import Foundation

let headers = ["X-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "http://127.0.0.1:58931/api/profiles?page=1&page_size=50&keyword=&folder_uuid=&sort_by=&sort_order=")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```